﻿@model SportsClub.Models.Register.RegisterProgramModel

@{
    ViewBag.Title = string.Format("Online Registration - {0}", Model.ProgramName);

    ViewBag.DynamicStyle = Model.DynamicStyle;

    var mapKey = Jumbula.Web.Mvc.WebConfig.WebConfigHelper.GoogleMapAPIKey;
}

<style>
    #jbForm img {
        max-width: 100%;
    }

    .loading {
        /*min-height: 150px;*/
        background-image: url('../../Images/loading-small.gif');
        background-repeat: no-repeat;
        /*background-attachment: fixed;*/
        background-position: center;
        z-index: 100000 !important;
    }
</style>

@using (Html.BeginForm("Register", "Register", new { userId = Model.UserId }, FormMethod.Post, new { @id = "register-form", @class = "", role = "form" }))
{
    <input type="hidden" value="@Model.TargetPageStep" id="targetPageStep" />

    Html.RenderPartial("_HiddenProperty", Model);
    for (int i = 0; i < Model.ProgramSchedules.Count; i++)
    {
        @Html.HiddenFor(m => Model.ProgramSchedules[i].Id)
        @Html.HiddenFor(m => Model.ProgramSchedules[i].StartDate)
        @Html.HiddenFor(m => Model.ProgramSchedules[i].EndDate)


        @Html.Hidden("RegistrationTypeHidden", Model.ProgramSchedules[i].RegistrationType, new { @id = "registrationType" })
        for (int c = 0; c < Model.ProgramSchedules[i].Charges.Count; c++)
        {
            @Html.HiddenFor(m => Model.ProgramSchedules[i].Charges[c].Id)
            @Html.HiddenFor(m => Model.ProgramSchedules[i].Charges[c].Amount)
            @Html.HiddenFor(m => Model.ProgramSchedules[i].Charges[c].Name)
            @Html.HiddenFor(m => Model.ProgramSchedules[i].Charges[c].IsMandatory)
            @Html.HiddenFor(m => Model.ProgramSchedules[i].Charges[c].IsFull)
            @Html.HiddenFor(m => Model.ProgramSchedules[i].Charges[c].Category)
        }
    }

    <div id="registration">
        <aside id="stepsContainer" class="hidden-md hidden-sm hidden-xs">
            <div>
                <h3>
                    You are<br />
                    registering for<br />
                    @Model.ProgramName
                </h3>
                <p>You can click on a circle to go back.</p>
                <ul id="steps">
                    <li data-done-when="registrationOptions,selectProfile,registrationForm,registrationWaivers,selectPaymentPlan">
                        <span class="icon jbi-check"></span>
                        <span class="title">Log in</span>
                        <div class="clearfix"></div>
                    </li>
                    <li data-active-when="registrationOptions" data-done-when="selectProfile,registrationForm,registrationWaivers,selectPaymentPlan">
                        <a href="#" class="stepper" data-target="registrationOptions">
                            <span class="icon step-number">2</span>
                            <span class="title">Tuition options</span>
                        </a>
                        <div class="clearfix"></div>
                    </li>
                    <li data-active-when="selectProfile,registrationForm,registrationWaivers,selectPaymentPlan">
                        <a href="#" class="stepper" data-target="@(Model.PlayerLists.Any() && !Model.ISTS.HasValue ? "selectProfile" : "registrationForm")">
                            <span class="icon step-number">3</span>
                            <span class="title">Registration forms</span>
                        </a>
                        <div class="clearfix"></div>
                    </li>
                    <li>
                        <span class="icon step-number">4</span>
                        <span class="title">Checkout & pay</span>
                        <div class="clearfix"></div>
                    </li>
                    <li>
                        <span class="icon step-number">5</span>
                        <span class="title">Thank you</span>
                        <div class="clearfix"></div>
                    </li>
                </ul>
            </div>
        </aside>

        <div id="contentContainer">
            <div class="row-fluid">
                <section id="programInfo" class="col-sm-12">
                    @{
                        Html.RenderPartial("_ProgramInfo", Model);
                    }
                </section>
                <section id="registrationOptions" class="col-xs-12 col-sm-12 col-md-8 col-lg-9 step active">
                    @if (Model.ProgramTypeCategory == ProgramTypeCategory.Calendar)
                    {
                        Html.RenderPartial("_Calendar", Model);
                    }
                    else
                    {
                        Html.RenderPartial("_SimpleProgram", Model);
                    }
                    @if (Model.ProgramTypeCategory == ProgramTypeCategory.ChessTournament)
                    {
                        <div class="chess-options">
                            @{
                                Html.RenderPartial("_ChessTournument", Model);
                            }
                        </div>
                                }
                </section>
                @if (Model.PlayerLists.Any())
                {
                    for (int i = 0; i < Model.PlayerLists.Count; i++)
                    {
                        @Html.HiddenFor(m => Model.PlayerLists[i].Text)
                        @Html.HiddenFor(m => Model.PlayerLists[i].Value)
                    }
                    <section id="selectProfile" class="col-xs-12 col-sm-12 col-md-8 col-lg-9 step">
                        @{
                            Html.RenderPartial("_SelectProfile", Model);
                        }
                    </section>
                            }
                <section id="registrationForm" class="col-xs-12 col-sm-12 col-md-8 col-lg-9 step">
                    <div class="full-width">
                        <div id="profileReview" class="full-width">
                            <h6>
                                You're registering
                                @if (Model.PlayerLists.Any())
                                {
                                    if (Model.IsSelectProfile && Model.Player != null)
                                    {
                                        <text>
                                            <span id="attendeeName">@Model.Player.Contact.FirstName  @Model.Player.Contact.LastName</span>.
                                        </text>
                                    }
                                    else
                                    {
                                        <text>
                                            <span id="attendeeName">@(Model.IsTeamRegistration ? "a new team" : "a new participant")</span>.
                                        </text>
                                    }
                                    if (!Model.ISTS.HasValue)
                                    {
                                        <a href="#" id="changeSelectProfile" data-target="selectProfile">(Change)</a>
                                    }

                                }
                                else
                                {
                                    <text>
                                        <span id="attendeeName">@(Model.IsTeamRegistration ? "a new team" : "a new participant")</span>.
                                    </text>
                                }
                            </h6>
                        </div>
                        @if (Model.JbForm != null)
                        {
                            <div id="jbForm" class="full-width">
                                @Html.EditorFor(m => m.JbForm)
                            </div>
                        }
                    </div>
                    <div class="clearfix"></div>
                    <div id="adult-confirmation-container">

                    </div>
                </section>
                <section id="registrationWaivers" class="col-xs-12 col-sm-12 col-md-8 col-lg-9 step">
                    @if (Model.Waivers != null && Model.Waivers.Any())
                    {
                        Html.RenderPartial("_Waivers", Model);
                    }
                </section>
                @{Html.RenderPartial("_PaymentPlan", Model);}

                @{Html.RenderPartial("_Sidebar", Model);}

                <section id="continueContainer">
                    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-9">
                        <p id="note">Your registration is not yet confirmed. Your space in the program is not secured until you successfully submit payment and you receive an email confirmation.</p>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-4 col-lg-3 no-padding">
                        <button id="continue" class="btn btn-jb stepper" data-target="@(Model.PlayerLists.Any() && !Model.ISTS.HasValue ? "selectProfile": "registrationForm")"></button>
                    </div>
                </section>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
                    }

@section Styles{

    @Styles.Render("~/bundles/registerPageStyles")
}

@section Scripts{

    <script>
        blockUI();
        $(window).load(unblockUI);
    </script>

    @Scripts.Render("~/bundles/registerPageScripts")

    <script src="~/Scripts/Libraries/jQuery/jquery.validate.unobtrusive.min.js"></script>

    @if (Model.ProgramTypeCategory == ProgramTypeCategory.Calendar || Model.ProgramTypeCategory == ProgramTypeCategory.Subscription || Model.ProgramTypeCategory == ProgramTypeCategory.BeforeAfterCare || (Model.ProgramTypeCategory == ProgramTypeCategory.Camp))
    {
        @Scripts.Render("~/bundles/kenodUiScripts")
    }

    @{Html.RenderPartial("_JScript", Model);}

    @Scripts.Render("~/bundles/register");
}
